GET V1/CustomerSupport.{ext}/UsageAnalyticsDetails?reportBy={reportBy}&clientId={clientId}&fromDate={fromDate}&toDate={toDate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
reportBy

No description available

string

Required

clientId

No description available

string

Default value is

fromDate

No description available

string

Default value is

toDate

No description available

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfSystem.Data.DataSet
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

System.Data.DataSet

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "DataSet",
  "response": null,
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.